$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.84.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.84.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'DF4B75B518C7D55E566ED93757D7C8A5FE9C39462D736972F20499F7ADFE57D1'
  checksumType = 'sha256'
  checksum64 = 'DF4B75B518C7D55E566ED93757D7C8A5FE9C39462D736972F20499F7ADFE57D1'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.84-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
